Index: nodes/before-commit.sh
===================================================================
--- nodes/before-commit.sh	(revision 7075)
+++ nodes/before-commit.sh	(revision 7075)
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Check all wleiden.conf files on valid perl syntax for people not familiar
+# with perl to generate right configs
+
+DIRNAME=`dirname $0`
+
+RETVAL=0
+for FILE in ${DIRNAME}/*/wleiden.conf; do 
+  perl -c $FILE 
+  if [ $? -ne 0 ]; then
+    RETVAL=1
+  break
+  fi
+done
+
+if [ "${RETVAL}" -eq 1 ]; then
+  echo "Please fix errors before commit!"
+  exit 1
+fi
